> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/es/web-scraper-api/destinos/e-commerce/walmart.md).

# Walmart

Aprende a usar el scraper de Walmart.

Con Web Scraper API, puede extraer varios tipos de **Walmart** páginas; a continuación se muestra una descripción general de todos los scrapers compatibles y sus respectivos `source` valores. Ambas fuentes tienen un analizador dedicado: añade `"parse": true` para recibir JSON estructurado en lugar del HTML de la página. Cada fuente se describe en su propia página, enlazada abajo.

{% hint style="warning" %}
Para algunos objetivos, nuestro sistema **fuerza el renderizado de JavaScript** incluso si no establece `render`; esas solicitudes cuentan como tráfico renderizado. La lista de objetivos forzados al renderizado y cómo desactivar el renderizado está en [Forzar el renderizado en páginas específicas](https://developers.oxylabs.io/products/es/web-scraper-api/features/js-rendering-and-browser-control.md#forcing-rendering-on-specific-pages).
{% endhint %}

<table><thead><tr><th width="250">Fuente</th><th>Descripción</th></tr></thead><tbody><tr><td><code>walmart_search</code></td><td><a href="https://developers.oxylabs.io/products/es/web-scraper-api/destinos/e-commerce/walmart/busqueda.md"><strong>Página de búsqueda</strong></a> para un término de búsqueda de su elección.</td></tr><tr><td><code>walmart_product</code></td><td><a href="https://developers.oxylabs.io/products/es/web-scraper-api/destinos/e-commerce/walmart/producto.md"><strong>Página de producto</strong></a> de un ID de producto de su elección.</td></tr></tbody></table>

Cualquier otra página de Walmart puede extraerse pasando su `URL` sola, no `source` es necesario.

{% hint style="info" %}
Además de los parámetros enumerados en las páginas de las fuentes, puedes incluir parámetros adicionales como `user_agent_type`, `geo_location`, `render`, y más para personalizar su solicitud de scraping. Lea más [aquí](https://developers.oxylabs.io/products/es/web-scraper-api/features.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/products/es/web-scraper-api/destinos/e-commerce/walmart.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
